Bug 16013 - Classification sources are not deletable
Summary: Classification sources are not deletable
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-09 11:28 UTC by Jonathan Druart
Modified: 2017-06-14 22:13 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16013: Make classification sources deletable (1.33 KB, patch)
2016-03-09 11:30 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16013: Make classification sources deletable (1.39 KB, patch)
2016-03-14 00:28 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
[PASSED QA] Bug 16013: Make classification sources deletable (1.44 KB, patch)
2016-03-20 17:24 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-03-09 11:28:51 UTC

    
Comment 1 Jonathan Druart 2016-03-09 11:30:42 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2016-03-09 16:14:15 UTC
I'm not having any trouble deleting them without this patch.
Comment 3 Jonathan Druart 2016-03-10 08:08:28 UTC
It certainly occurs under Plack only.
Comment 4 Srdjan Jankovic 2016-03-14 00:28:36 UTC Comment hidden (obsolete)
Comment 5 Srdjan Jankovic 2016-03-14 00:29:59 UTC
This patch makes sense, however I must say that it worked for me even without it.
Comment 6 Katrin Fischer 2016-03-20 17:24:56 UTC
Created attachment 49338 [details] [review]
[PASSED QA] Bug 16013: Make classification sources deletable

Because of a wrong variable scope, the classification sources are not
deletable.

Test plan:
Create a classification sources (admin/classsources.pl)
Try to delete it
Without this patch, the classification source won't be deleted
With this patch, it will work!

Signed-off-by: Srdjan <srdjan@catalyst.net.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2016-03-20 17:25:31 UTC
Tested OK with and without the patch, without Plack.
Comment 8 Brendan Gallagher 2016-03-21 22:41:06 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!
Comment 9 Julian Maurice 2016-03-23 08:00:52 UTC
Patch pushed to 3.22.x, will be in 3.22.5
Comment 10 Frédéric Demians 2016-03-23 12:52:24 UTC
Pushed to 3.20.x, will be in 3.20.10